
Redmine - Defect #5631

SVN integration broken, Redmine.pm and RedmineRepoControl.pm

2010-06-01 18:09 - Thomas Savant

Status: Closed Start date: 2010-06-01

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

When trying to enable the plugins Redmine or RedmineRepoControl for SVN integration, Redmine throws the errors listed beneath.

FYI, we're running the site through Passenger.

for Redmine.pm:

[Tue Jun 01 18:03:45 2010] [error] [client 192.168.1.108] Use of uninitialized value $project_id in concatenation (.) or string at

/usr/lib/perl/5.10/Apache/Redmine.pm line 282.\n

for RedmineRepoControl.pm:

[Tue Jun 01 18:01:42 2010] [error] [client 192.168.1.108] failed to resolve handler

`Apache::Authn::RedmineRepoControl::access_handler': Can't locate Apache/Authn/RedmineRepoControl/access_handler.pm in 

Cedric Albrecht (Cedric Albrecht contains: /etc/perl /usr/local/lib/perl/5.10.1 /usr/local/share/perl/5.10.1 /usr/lib/perl5 /usr/share/perl5

/usr/lib/perl/5.10 /usr/share/perl/5.10 /usr/local/lib/site_perl . /etc/apache2) at (eval 6) line 3.\n

Apache configuration:

PerlLoadModule Apache::Redmine

<Location /svn>

DAV svn

#SVNParentPath "/home/subversion/repos"

SVNPath /home/subversion/repos

1. PerlAuthzHandler Apache::Authn::RedmineRepoControl::authz_handler

AuthType Basic

     AuthName "Redmine SVN Repository" 

     Require valid-user

1. for mysql

RedmineDSN "DBI:mysql:database=our_redmine_db;host=our_db_server"

2. for postgres

1. RedmineDSN "DBI:Pg:dbname=databasename;host=my.db.server"

1. for SQLite3

2. RedmineDSN "DBI:SQLite:dbname=database.db"

RedmineDbUser "our_username" 

     RedmineDbPass "our_password" 

     RedmineCacheCredsMax 50

  &lt;/Location&gt;

History

#1 - 2010-06-01 21:47 - Felix Schäfer

- Status changed from New to Closed

- Resolution set to Invalid

Please use the forum if you need help.

As to your problem: there is no RedmineRepoControl.pm module, so that won't work, and the Redmine.pm will only work if you use SVNParentPath,

not SVNPath. For more information see Repositories_access_control_with_apache_mod_dav_svn_and_mod_perl.

Powered by TCPDF (www.tcpdf.org)

2025-05-08 1/1

https://www.redmine.org/users/162965
https://www.redmine.org/users/162965
https://www.redmine.org/projects/redmine/wiki/Repositories_access_control_with_apache_mod_dav_svn_and_mod_perl
http://www.tcpdf.org

